tarsnap (1.0.41-3) unstable; urgency=medium

  * Add copyright clause for libcperciva/*
  * Improve debian-policy 12.5 d/copyright comment, suggested by siretart
  * Drop Priority: optional
  * Drop Rules-Requires-Root: no
  * Standards-Version: 4.7.3
  * Finalize upload
  * Fix Salsa CI
  * Bump debian/* copyright years
  * Use watch v5

 -- Simon Josefsson <simon@josefsson.org>  Fri, 13 Mar 2026 10:04:24 +0100

tarsnap (1.0.41-2) unstable; urgency=medium

  * Initial Debian upload.  Closes: #799214.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 07 Mar 2026 19:10:37 +0100

tarsnap (1.0.41-1) unstable; urgency=high

  * tarsnap now has mitigations to defend against information leakage via
    chunking of chosen plaintext.
  * tarsnap now accepts --dry-run-metadata, which allows -c to simulate
    creating an archive without reading any file data. This is significantly
    faster than a regular --dry-run, and it suitable for checking which
    filesystem entries will be archives (with -v) or checking the total
    archive size (with --totals or --progress-bytes).
  * tarsnap now accepts --noatime with -c, which requests that the operating
    system does not update atime when reading files or directories. Not
    supported by all operating systems or filesystems.
  * if the server-side state was modified and tarsnap exits with an error, it
    will now have an exit code of 2.
  * read config from $XDG_CONFIG_HOME/tarsnap/tarsnap.conf; or
    ~/.config/tarsnap/tarsnap.conf if $XDG_CONFIG_HOME is unset. The previous
    config file ~/.tarsnaprc is still supported, and will not be deprecated.
  * add --null-input as a synonym for --null. --null is still supported, and
    will not be deprecated.
  * add --null-output which can be used with --list-archives, --print-stats,
    -x, and -t modes; this causes archive names to be separated with a null
    character (like find -print0).
  * tarsnap now accepts --hashes and -f TAPEHASH with --list-archives, which
    prints hashes of archive names or metadata about the specified archive.
    These options are intended for the GUI and is not needed for command-line
    usage.
  * fix a strict aliasing violation with non-sse2 code, which resulted in a
    self-test failure when compiled with gcc11+ -O3.

 -- Graham Percival <pkg-deb@tarsnap.com>  Thu, 20 Mar 2025 10:57:18 -0800
tarsnap (1.0.40-1) unstable; urgency=medium

  * tarsnap now accepts a --resume-extract option to skip extracting files whose
    filesize and mtime match existing files on disk.
  * tarsnap now accepts --progress-bytes SIZE, which prints a progress message
    after each SIZE bytes are processed, up to once per file.  This can be
    disabled with --no-progress-bytes.
  * tarsnap now accepts a --passphrase method:arg option which accepts:
    * --passphrase dev:tty-stdin
    * --passphrase dev:stdin-once
    * --passphrase dev:tty-once
    * --passphrase env:VARNAME
    * --passphrase file:FILENAME
  * tarsnap now accepts a --dump-config option to print the command-line and all
    non-blank lines read from config files.
  * tarsnap now gives an error if there are unused command-line arguments.
    (i.e. "tarsnap -d -f a1 a2", where "a2" is unused.)
  * Improve performance on some x86, amd64, and arm64 systems by using
    cryptographic instruction set extensions.
  * When sent SIGINFO or SIGUSR1, tarsnap now prints the number of files and the
    number of uncompressed bytes processed, in addition to the previous output.
  * A zsh completion file can be installed with configure
    --with-zsh-completion=DIR.
  * Assorted compatibility fixes for MacOS X, FreeBSD, OpenBSD, Solaris, ZFS,
    and gcc 4.2.1.

 -- Graham Percival <pkg-deb@tarsnap.com>  Thu, 10 Feb 2022 22:30:40 -0800
tarsnap (1.0.39-2) unstable; urgency=medium

  * Package may now use libssl 1.1.x if available.

 -- Graham Percival <pkg-deb@tarsnap.com>  Wed, 08 May 2019 13:00:40 -0700
tarsnap (1.0.39-1) unstable; urgency=medium

  * Fix a division-by-zero crash when reading corrupt password-encrypted
    tarsnap key files.
  * Fix two crashes arising from maliciously-crafted archives included via
    the tarsnap @archive directive.
  * Fix an abort trap which complained about files with a negative modification
    time.  (This assertion occurred after the archive is stored, so no user data
    was at risk.)

 -- Graham Percival <pkg-deb@tarsnap.com>  Sat, 29 Jul 2017 00:53:18 +0000
tarsnap (1.0.38-1) unstable; urgency=medium

  * New version of tarsnap brings several new features and warnings, and
    OpenSSL 1.1 support.
  * tarsnap now accepts an --initialize-cachedir command, which is intended for
    the GUI and is not needed for command-line usage.
  * tarsnap now applies --humanize-numbers to the SIGINFO "progress" output.
  * tarsnap now gives a warning for --configfile /nosuchfile.
  * tarsnap now accepts --iso-dates, which prints file and directory dates as
    yyyy-mm-dd hh:mm:ss in "list archive" mode.  This can be cancelled with
    --no-iso-dates.
  * the ./configure --with-conf-no-sample flag causes in the sample config file
    to be installed as tarsnap.conf instead of tarsnap.conf.sample.  This may
    result in overwriting an existing tarsnap.conf file.
  * tarsnap now accepts --force-resources to force the decryption of a
    passphrase-encrypted key file to proceed even if it is anticipated to
    require an excessive amount of memory or CPU time.  This can be cancelled
    with --no-force-resources.
  * tarsnap now displays 'Deleting archive "foo"' when deleting a single archive
    in verbose mode.  (The former behaviour was to print that message only when
    multiple archives were being deleted by a single tarsnap command.)
  * tarsnap now accepts --archive-names filename, which reads a list of
    archive names from a file in addition to any -f options.

 -- Graham Percival <gperciva@tarsnap.com>  Thu, 06 Jul 2017 20:30:56 -0800
tarsnap (1.0.37-4) unstable; urgency=medium

  * Ensure that libssl 1.1.0 is not used.

 -- Graham Percival <gperciva@tarsnap.com>  Fri, 30 Dec 2016 18:20:02 -0800
tarsnap (1.0.37-3) unstable; urgency=medium

  * Install a real tarsnap.conf file to /etc, not tarsnap.conf.sample.
  * Recommend tarsnap-archive-keyring.
 -- Graham Percival <gperciva@tarsnap.com>  Sat, 19 Dec 2016 20:01:20 -0800
tarsnap (1.0.37-2) unstable; urgency=low

  * Use gzip compression for the .debian.tar.* file.
 -- Graham Percival <gperciva@tarsnap.com>  Sun, 04 Dec 2016 23:24:18 +0000
tarsnap (1.0.37-1) unstable; urgency=low

  * New version of tarsnap brings several new features and warnings.
  * tarsnap-key(gen|mgmt|regen) now accept a --passphrase-time option,
    which specifies the duration to be spent on computing the derived
    keys used for encrypting the tarsnap key file.
  * tarsnap now accepts a --keep-going option when deleting or printing
    statistics about multiple archives.
  * tarsnap-keymgmt now accepts a --print-key-permissions option for
    listing the permissions contained in a key file.
  * tarsnap --print-stats now accepts a --csv-file option for printing
    statistics in comma-separated-value format.
  * tarsnap now accepts a --verify-config command which exits silently
    after checking the configuration file(s) for syntax errors.
  * tarsnap now looks for a server named "v1-0-0-server.tarsnap.com"
    instead of the historic "betatest-server.tarsnap.com" hostname.
    This should have no user-visible effect in most configurations.
  * tarsnap now correctly warns if a sparse extract fails due to hardlinks.
  * tarsnap now prints a warning if creating an empty archive.
  * Many minor bug fixes.
 -- Colin Percival <cperciva@tarsnap.com>  Thu, 10 Mar 2016 00:49:14 +0000
tarsnap (1.0.36) unstable; urgency=high

  * New version of tarsnap fixes two security vulnerabilities: a corrupt
    archive could result in tarsnap allocating a large amount of memory or
    crashing; and very long object paths can result in a potentially
    exploitable one-byte buffer overflow.
  * A bug which caused tarsnap to crash if its first DNS lookup fails is fixed.
  * A bug which caused tarsnap to exit with "Callbacks uninitialized" when
    running on a dual-stack network if the first IP stack it attempted to use
    failed to connect is fixed.
  * tarsnap -c --dry-run can now run without a keyfile.
  * tarsnap now automatically detects and uses AESNI and SSE2 cpu features.
 -- Colin Percival <cperciva@tarsnap.com>  Thu, 20 Aug 2015 14:55:16 +0000
tarsnap (1.0.35) unstable; urgency=medium

  * New version of tarsnap fixes a networking bug, introduced by the
    addition of IPv6 support, which can cause tarsnap to crash (segment
    violation or bus error) during network glitches / outages.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 25 Jul 2013 09:20:55 +0000
tarsnap (1.0.34) unstable; urgency=low

  * New version of tarsnap brings IPv6 support; support for platforms with
    mandatory struct alignment (e.g., ARM OABI); and greater resilience
    against network glitches when tarsnap first contacts the server.
  * A bug causing tarsnap to crash when reading certain corrupt key files
    on 64-bit platforms is fixed.
  * Terminal settings are now restored if tarsnap is killed with ^C while
    reading an account password or a keyfile passphrase.
  * A large amount of library code has been restructured into an open
    source "libcperciva" library.

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 6 Jul 2013 21:33:46 +0000
tarsnap (1.0.33) unstable; urgency=low

  * New version of tarsnap brings reduced memory usage on systems with a
    large amount of stored data; faster operation for --fsck and when
    deleting or printing statistics for multiple archives; and corrects
    a bug in the handling of the --newerXXX option.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 1 Aug 2012 23:52:10 +0000
tarsnap (1.0.32) unstable; urgency=low

  * New version of tarsnap fixes a bug which made the --nodump option
    inoperative.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 12 Feb 2012 02:18:25 +0000
tarsnap (1.0.31) unstable; urgency=low

  * New version of tarsnap fixes security vulnerabilities relating to key
    file creation on multi-user systems, plus several minor enhancements
    and bug fixes.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 17 Nov 2011 10:52:59 +0000
tarsnap (1.0.30) unstable; urgency=low

  * New version of tarsnap brings many minor bug fixes.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 16 Aug 2011 20:25:12 +0000
tarsnap (1.0.29) unstable; urgency=low

  * New version of tarsnap adds tarsnap-recrypt utility for re-encrypting
    stored data.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 1 Feb 2011 21:28:44 +0000
tarsnap (1.0.28) unstable; urgency=critical

  * Bug fix in encryption code.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 17 Jan 2011 09:42:12 +0000
tarsnap (1.0.27) unstable; urgency=low

  * New version of tarsnap brings several new features.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 7 Jun 2010 04:19:32 +0000
tarsnap (1.0.26) unstable; urgency=low

  * New version of tarsnap changes client-server protocol in order to reduce
    "connection lost" warnings, fixes a serious bug in the --maxbw-rate
    options, improves documentation, and fixes a few other minor bugs.
  * Debian installation rules fixed to create Tarsnap cache directory with
    the correct (0700) permissions.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 24 Dec 2009 06:56:51 +0000
tarsnap (1.0.25) unstable; urgency=low

  * New version of tarsnap makes it possible for more options to be specified
    via configuration files, and for options set in configuration files to be
    unset at the command line.

 -- Colin Percival <cperciva@tarsnap.com>  Fri, 10 Jul 2009 10:50:12 +0000
tarsnap (1.0.24) unstable; urgency=low

  * New version of tarsnap updates underlying libarchive version to 2.7.0
    and reorganizes the source code and build process.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 21 Jun 2009 02:52:31 +0000
tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000
tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000
tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000
tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000
tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100
tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100
